<?php

namespace BmbyForms\Pages\SettingsPage;

use function BmbyForms\bf_get_redirect_url;

function bf_save_meta_field_post_request_handler() {
	$redirectUrl = bf_get_redirect_url();
	if (isset($_POST['_wpnonce']) && !empty($_POST['meta_field']) && wp_verify_nonce($_POST['_wpnonce'])) {
		$metaField = $_POST['meta_field'];

		delete_option('bf_meta_field');
		add_option('bf_meta_field', $metaField);

		$_SESSION['flashMessage'] = translate('Meta field for client id successfully saved', 'bmby-forms');
		header('Location: ' . esc_url("{$redirectUrl}?page=bmby-forms%2Fsettings.php"));
	} else {
		$_SESSION['type'] = translate('error', 'bmby-forms');
		$_SESSION['flashMessage'] = translate('Invalid input data specified', 'bmby-forms');
		header('Location: ' . esc_url("{$redirectUrl}?page=bmby-forms%2Fsettings.php")); exit();
	}
}
