<?php

namespace BmbyForms\Pages\SettingsPage;

use function BmbyForms\bf_get_redirect_url;

function bf_save_product_post_type_post_request_handler() {
	$redirectUrl = bf_get_redirect_url();
	if (isset($_POST['_wpnonce']) && !empty($_POST['product_post_type']) && wp_verify_nonce($_POST['_wpnonce'])) {
		$productPostType = $_POST['product_post_type'];

		delete_option('bf_product_post_type');
		add_option('bf_product_post_type', $productPostType);

		$_SESSION['flashMessage'] = translate('Product post type for client id successfully saved', 'bmby-forms');
		header('Location: ' . esc_url("{$redirectUrl}?page=bmby-forms%2Fsettings.php"));
	} else {
		$_SESSION['type'] = translate('error', 'bmby-forms');
		$_SESSION['flashMessage'] = translate('Invalid input data specified', 'bmby-forms');
		header('Location: ' . esc_url("{$redirectUrl}?page=bmby-forms%2Fsettings.php")); exit();
	}
}
