<?php

namespace BmbyForms\Pages\WordpressFormsPage;

use function BmbyForms\bf_get_redirect_url;
/**
 * @return void
 */
function bf_wordpress_forms_post_request_handler() {
	require_once __DIR__ . '/../../../bmby-check-api-data.php';
	$redirectUrl = bf_get_redirect_url();

	if (!empty($_POST['disconnect']) && empty($_POST['bf_forms'])) {
		do_action('admin_post_bf_disconnect_form_post_request');
		$_SESSION['flashMessage'] = translate('Match between wordpress and bmby form is successfully removed', 'bmby-forms');
		wp_redirect("{$redirectUrl}?page=bmby-forms%2Fwordpress-forms.php"); exit();
	}
	elseif (!empty($_POST['bf_forms']) && empty($_POST['disconnect'])) {
		$urlPartial = http_build_query($_POST);
		wp_redirect("{$redirectUrl}?page=bmby-forms%2Fform-fields.php&{$urlPartial}"); exit();
	}

	$_SESSION['flashMessage'] = translate('Please, choose a form', 'bmby-forms');
	$_SESSION['type'] = 'error';
	wp_redirect("{$redirectUrl}?page=bmby-forms%2Fwordpress-forms.php"); exit();
}
