<?php

namespace BmbyForms\Requests;

/**
 * @return array
 */
function bf_create_lead_request($dataToSend) {
	global $mbeatServer;
	require_once sprintf('%s/%s/%s.php', WP_PLUGIN_DIR, 'bmby-forms', 'bmby-check-api-data');

	$dataToSend['firstName'] = $dataToSend['Fname'];
	$dataToSend['lastName'] = $dataToSend['Lname'];
	$dataToSend['streetAndNum'] = $dataToSend['Address'];
	$dataToSend['phoneHome'] = $dataToSend['Phone'];
	$dataToSend['phoneMobile'] = $dataToSend['Mobile'];
	$dataToSend['email'] = $dataToSend['Email'];
	$dataToSend['city'] = $dataToSend['City'];
	$dataToSend['comments'] = $dataToSend['Comments'];
	//MediaTitle left it as it is
	//ProductTitle left it as it is
	$dataToSend['companyName'] = $dataToSend['CompanyName'];
	$dataToSend['webSite'] = $dataToSend['Website'];
	//Returning Lead Settings left it as it is
	$dataToSend['userId'] = $dataToSend['Default User'];
	$dataToSend['mediaId'] = $dataToSend['MediaTitle'];
	$dataToSend['projectId'] = $bmbyApiData['ProjectID'];
	$dataToSend['companyId'] = $bmbyApiData['CompanyID'];
	$dataToSend['api_key'] = $leadApiKey;

	foreach ($dataToSend as $key => $value) {
		if (is_string($value)) {
			$trimmedData[$key] = trim($value);
		}
		else {
			$trimmedData[$key] = $value;
		}
	}

	$result = wp_remote_post( "{$mbeatServer}/api/clients/leads/new", [
		'data_format' => 'body',
		'headers' => [
			'Accept' => 'application/json',
			'Content-Type' => 'application/json'
		],
		'body' => json_encode($trimmedData),
		'sslverify' => false
	]);

	return json_decode($result['body'], true);
}
