<?php

namespace BmbyForms\Pages\SettingsPage;

use function BmbyForms\bf_get_redirect_url;

/**
 * @return void
 */
function bf_save_returning_user_roles_post_request_handler() {
	$redirectUrl = bf_get_redirect_url();
	if (isset($_POST['_wpnonce']) && !empty($_POST['user_role']) && wp_verify_nonce($_POST['_wpnonce'])) {
		$userRole = $_POST['user_role'];

		delete_option('bf_returning_user_role');
		add_option('bf_returning_user_role', $userRole);

		$_SESSION['flashMessage'] = translate('Role for returning user has been successfully saved', 'bmby-forms');
		header('Location: ' . esc_url("{$redirectUrl}?page=bmby-forms%2Fsettings.php"));
	} else {
		$_SESSION['type'] = translate('error', 'bmby-forms');
		$_SESSION['flashMessage'] = translate('Invalid input data specified', 'bmby-forms');
		header('Location: ' . esc_url("{$redirectUrl}?page=bmby-forms%2Fsettings.php")); exit();
	}
}
