<?php

namespace BmbyForms\Pages\WordpressFormsPage;

use function BmbyForms\bf_get_redirect_url;

function bf_disconnect_form_post_request_handler() {
	require_once __DIR__ . '/../../../bmby-check-api-data.php';
	$redirectUrl = bf_get_redirect_url();

	if (isset($_POST['_wpnonce']) && wp_verify_nonce($_POST['_wpnonce'])) {
		if (!$formData = json_decode(gzuncompress(base64_decode($_POST['disconnect'])), true)) {
			$_SESSION['type'] = translate('error', 'bmby-forms');
			$_SESSION['flashMessage'] = translate('Invalid input', 'bmby-forms');
			wp_redirect("{$redirectUrl}?page=bmby-forms%2Fwordpress-forms.php"); exit();
		}

		delete_option("bf_match_{$formData['form_descriptor']}");
	} else {
		wp_redirect("{$redirectUrl}?page=bmby-forms%2Fwordpress-forms.php"); exit();
	}
}
