<?php

namespace BmbyForms;

$leadApiKey = get_option('bf_lead_api_key');

if (!$leadApiKey) {
	wp_die(__('No lead api key found', 'bmby-forms'), __('Error', 'bmby-forms'), array(
		'response'  => 403,
		'back_link' => esc_url('/wp-admin/admin.php?page=bmby-forms%2Fsettings.php')
	));
}

$bmbyApiData = get_option('bf_api_data');

if (!$bmbyApiData ||
    empty($bmbyApiData['ProjectID']) ||
    empty($bmbyApiData['CompanyID'])
) {
	wp_die(__('No valid lead api data found', 'bmby-forms'), __('Error', 'bmby-forms'), array(
		'response'  => 403,
		'back_link' => esc_url('/wp-admin/admin.php?page=bmby-forms%2Fsettings.php')
	));
}
