<?php

namespace BmbyForms;

/**
 * @param $priceOfferID
 *
 * @return false|string
 */
function bf_create_bmby_payment_gateway_link($priceOfferID) {
	global $mbeatServer;

	$priceOfferID = filter_var(trim($priceOfferID), FILTER_VALIDATE_INT, ["options" => ["min_range" => 1]]);
	if (!$priceOfferID) {
		return false;
	}

	return 'https://url_to_payment_gateway.com/iframe';
}

/**
 * @return string
 */
function bf_get_redirect_url() {
	$path = parse_url($_SERVER['REQUEST_URI'])['path'];
	return preg_match('/^(\/test\/).*$/', $path) === 1 ? '/test/wp-admin/admin.php' : '/wp-admin/admin.php' ;
}
