<?php

namespace BmbyForms;

/**
 * WordPress and bmby form fields mapper
 */
$bfAllWordpressAndBmbyFormElements = [
	'Default User' => [
		'id' => -1,
		'in_form' => 'User defined',
		'bmby_field' => 'Default User',
		'table' => 'Clients',
		'required' => 1
	],
	'First Name' => [
		'id' => -2,
		'in_form' => null,
		'bmby_field' => 'Fname',
		'table' => 'Clients',
		'required' => 0
	],
	'Last Name' => [
		'id' => -3,
		'in_form' => null,
		'bmby_field' => 'Lname',
		'table' => 'Clients',
		'required' => 0
	],
	'Address' => [
		'id' => -4,
		'in_form' => null,
		'bmby_field' => 'Address',
		'table' => 'Clients',
		'required' => 0
	],
	'Work Phone Number' => [
		'id' => -5,
		'in_form' => null,
		'bmby_field' => 'Phone',
		'table' => 'Clients',
		'required' => 0
	],
	'Mobile Phone Number' => [
		'id' => -6,
		'in_form' => null,
		'bmby_field' => 'Mobile',
		'table' => 'Clients',
		'required' => 1
	],
	'Email' => [
		'id' => -7,
		'in_form' => null,
		'bmby_field' => 'Email',
		'table' => 'Clients',
		'required' => 1
	],
	'City' => [
		'id' => -8,
		'in_form' => null,
		'bmby_field' => 'City',
		'table' => 'Clients',
		'required' => 0
	],
	'Comments' => [
		'id' => -9,
		'in_form' => null,
		'bmby_field' => 'Comments',
		'required' => 0
	],
	'Source Media' => [
		'id' => -10,
		'in_form' => null,
		'bmby_field' => 'MediaTitle',
		'required' => 0
	],
	'Product' => [
		'id' => -11,
		'in_form' => null,
		'bmby_field' => 'ProductTitle',
		'required' => 0
	],
	'Company Name' => [
		'id' => -12,
		'in_form' => null,
		'bmby_field' => 'CompanyName',
		'required' => 0
	],
	'Website' => [
		'id' => -13,
		'in_form' => null,
		'bmby_field' => 'Website',
		'required' => 0
	]
];

//these types are not input types, must exclude them
$cf7FormExcludedElements = [
	'submit'
];

//these types are not input types, must exclude them
$elementorFormExcludedElements = [
	'html',
	'step',
	'recaptcha',
	'recaptcha_v3',
	'honeypot'
];

$mbeatServer = parse_ini_file(sprintf('%s/%s/%s', WP_PLUGIN_DIR, 'bmby-forms', '.env.ini'), true)['mbeat']['mbeatServerUrl'];
